# binaryninja.enums.RegisterValueType

class `binaryninja.enums.``RegisterValueType`
  `__init__`()

    x.__init__(...) initializes x; see help(type(x)) for signature

  Attributes

  `ConstantPointerValue` |
  `ConstantValue` |
  `EntryValue` |
  `ImportedAddressValue` |
  `InSetOfValues` |
  `LookupTableValue` |
  `NotInSetOfValues` |
  `ReturnAddressValue` |
  `SignedRangeValue` |
  `StackFrameOffset` |
  `UndeterminedValue` |
  `UnsignedRangeValue` |